/*------------------------------------------------------------------------------------------*\
 *   Copyright (C) 2006,2007, ... ,2011 AVM GmbH <fritzbox_info@avm.de>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation version 2 of the License.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*------------------------------------------------------------------------------------------*/


#if !defined(_CPPHY_MGMT_H_)
#define _CPPHY_MGMT_H_

void cpphy_mgmt_power_init(void);
signed int cpphy_mgmt_reset_hw_init(unsigned short reset_bit);
void cpphy_mgmt_reset_hw(signed int reset_bit, unsigned char reset_on);
void cpphy_mgmt_reset_port(phy_number_t phy_number, unsigned char reset_on);
void cpphy_mgmt_global_power(unsigned char power_on);
void cpphy_mgmt_global_power_set(cpmac_power_mode_t mode);
unsigned int cpphy_mgmt_process_global_power(void);
unsigned int cpphy_mgmt_check_link_phy(cpphy_mdio_t *mdio);
unsigned int cpphy_mgmt_check_link_orig(cpphy_mdio_t *mdio);
unsigned int cpphy_mgmt_check_link_emv(cpphy_mdio_t *mdio);
unsigned int cpphy_mgmt_check_link_old(cpphy_mdio_t *mdio);
void cpphy_mgmt_link_changed(void);
void cpphy_mgmt_check_link(void);
void cpphy_mgmt_power(void);
cpmac_err_t adm_switch_port_power_config(adm_phy_power_setup_t *setup,
                                         unsigned char          set);
void cpphy_mgmt_work_start(void);
cpmac_err_t cpphy_mgmt_work_add(cpmac_work_ident_t   ident,
                                cpmac_work_function  function,
                                unsigned long        initial_timeout);
cpmac_err_t cpphy_mgmt_work_del(cpmac_work_ident_t ident);
void cpphy_mgmt_work_schedule(cpmac_work_ident_t ident, unsigned long timeout);
void cpphy_mgmt_work_stop(void);
cpmac_err_t cpphy_mgmt_init(void);
void cpphy_mgmt_deinit(void);
void cpphy_mgmt_support_data(void);
cpmac_err_t cpphy_mgmt_debug_peek(void *ptr, unsigned int size, unsigned int length);
cpmac_err_t cpphy_mgmt_debug_poke(void *ptr, unsigned int size, unsigned int value);
void cpphy_mgmt_debug(cpphy_mdio_t *mdio, unsigned int value);
/* Prevent circular declaration */
unsigned int cpphy_switch_check_assigned_vid(cpphy_mdio_t *mdio, unsigned short vid);
/* Prevent circular declaration */
cpmac_err_t cpphy_switch_configure_special(cpphy_mdio_t *mdio, 
                                           cpmac_switch_configuration_t *config);
/* Prevent circular declaration */
cpmac_err_t adm_get_configured(cpphy_mdio_t *mdio, cpmac_switch_configuration_t *config);
/* Prevent circular declaration */
cpmac_err_t adm_get_config_cpmac(cpphy_mdio_t *mdio, struct avm_cpmac_config_struct *config);
/* Prevent circular declaration */
void cpphy_switch_status(cpphy_mdio_t *mdio);

#endif /*--- #if !defined(_CPPHY_MGMT_H_) ---*/


